Subject: npds Digest V2 #17

From: Listar <nospam_listar_at_ml.free_dot_fr>
Date: Sat, 17 Mar 2001 03:11:35 +0100 (CET)

------------------------------------
npds Digest	Fri, 16 Mar 2001	Volume: 02  Issue: 017

In This Issue:
		[NPDS] Re: Server stops accepting connections? [Was: Memory 
		[NPDS] Re: Server stops accepting connections? [Was: Memory 
		[NPDS] Re: Gif module question
		[NPDS] Re: Gif module question
		[NPDS] Re: Gif module question

----------------------------------------------------------------------

Date: Fri, 16 Mar 2001 07:44:30 +0100
From: Paul Guyot <nospam_pguyot_at_kallisys_dot_net>
Subject: [NPDS] Re: Server stops accepting connections? [Was: Memory leaks

À (At) 19:07 -0700 15/03/01, Grant [Somebody Here] Hutchinson 
écrivait (wrote) :
>In a previous message on another list Paul Filmer typed:
>
>>I have installed HeapMagic, and de-activated Avi's -
>  >I'll see if my NPDS server survives the night.
>
>I installed Heap Magic too, and the system seems to have stabilized a bit
>and is no longer freezing. The automatic garbage collection seems to be
>working fairly well.

Actually, installing Heap Magic was a good idea.
Deactivating Avi's BD isn't, though.

>However... NPDS just stops accepting http connections after a while. It
>hasn't hung up, as I can still access all the plug-ins and prefs
>settings. My ethernet adapter and the DSL modem lights indicate that I
>have a proper connection. I can ping and traceroute the IP, but can't
>access the server via a browser.

This is a known bug.
This is only caused by NPDS/NIE.
Playing with Heap Magic or whatever won't help.

>Stopping and starting the server (without exiting the app) seems to clear
>up the problem.

Indeed. There is two other problems:
- the -16022 error dialog (shows the last request NPDS will accept)
- the freeze bug

There are other known bugs:
- the log bug (some requests are not logged)

>Is there any way I could monitor this using the log file
>or a debugger?

No.

>Would a low latency setting have any bearing on this problem?

Deactivating the reverse DNS or even the stats (log) may help.
But there is a big bug in that. The cause is the hacked NPDS core. 
Sorry for that, but I can't fix that without re-writing the whole 
core (which I have started, BTW). The other way would be to get an 
older version of the core (one which wouldn't accept multiple 
connections). But I'm scared that this won't help as the older 
version had the same kind of bugs.

Paul
-- 
http://www.kallisys.com/
Newton WebServer: http://newt.dyndns.org:8080
                       Does ATA Support 0.1a2 work with your ATA card(s)?
                                      http://www.kallisys.com/newton/ata/

------------------------------

From: "Filmer, Paul E" <nospam_pfilmer_at_nsf_dot_gov>
Subject: [NPDS] Re: Server stops accepting connections? [Was: Memory l
Date: Fri, 16 Mar 2001 10:29:34 -0500

> -----Original Message-----
> From:	Paul Guyot [SMTP:[email-masked]]
> Sent:	Friday, March 16, 2001 1:45 AM
> 
> À (At) 19:07 -0700 15/03/01, Grant [Somebody Here] Hutchinson 
> écrivait (wrote) :
> >In a previous message on another list Paul Filmer typed:
> >
> >>I have installed HeapMagic, and de-activated Avi's -
> >  >I'll see if my NPDS server survives the night.
> >
> >I installed Heap Magic too, and the system seems to have stabilized a bit
> >and is no longer freezing. The automatic garbage collection seems to be
> >working fairly well.
> 
	>Actually, installing Heap Magic was a good idea.
	>Deactivating Avi's BD isn't, though.

	...It doesn't seem to make any difference whatsoever.

------------------------------

Date: Fri, 16 Mar 2001 09:53:33 -0700
From: "John I. Clark" <nospam_jiclark_at_independence_dot_net>
Subject: [NPDS] Re: Gif module question

Help!

I haven't run NPDS is awhile, but I ran it overnight, and whenever I (or
anyone else) tries to view my screen through the GIF module, it crashes
the Newt! I'm definitely running the latest version (fast 4-bit), on a
MP2100. The version I have doesn't have a version number, but it was
installed in October of last year, and it says under 'pkg info' that it
was created Oct. 9 of 2000. It worked fine the first time I accessed it,
but now it crashes every time...

Any ideas?

--
John I. Clark
Glass artist & Mac aficionado
Ridgway, CO 81432-0053
970-626-5980
1-888-898-5980
970-626-3750(F)
mailto:[email-masked]
http://home.independence.net/jiclark

------------------------------

Date: Fri, 16 Mar 2001 23:06:25 +0100
From: Paul Guyot <nospam_pguyot_at_kallisys_dot_net>
Subject: [NPDS] Re: Gif module question

Hi John,

>I haven't run NPDS is awhile, but I ran it overnight, and whenever I (or
>anyone else) tries to view my screen through the GIF module, it crashes
>the Newt! I'm definitely running the latest version (fast 4-bit), on a
>MP2100. The version I have doesn't have a version number, but it was
>installed in October of last year, and it says under 'pkg info' that it
>was created Oct. 9 of 2000.

Only one version of this package (still officially a beta) was released.

>It worked fine the first time I accessed it,
>but now it crashes every time...

Weird.

Could you please have NTK running and connected to your Newton and 
then try to get a screen shot? The current releases sends 
informations to the inspector and this could help.

How much space left do you have on the various stores? How much 
NewtonScript heap left do you have?

Paul
-- 
http://www.kallisys.com/
Newton WebServer: http://newt.dyndns.org:8080
                       Does ATA Support 0.1a2 work with your ATA card(s)?
                                      http://www.kallisys.com/newton/ata/

------------------------------

Date: Fri, 16 Mar 2001 16:45:55 -0700
From: "John I. Clark" <nospam_jiclark_at_independence_dot_net>
Subject: [NPDS] Re: Gif module question

Paul,

> Could you please have NTK running and connected to your Newton
> and then try to get a screen shot?

Saw your response on the NPDS list, but I'm afraid I'm not really a
developer; I don't have NTK installed. I tried once, just to see what it
was all about, but was missing some part or other that kept it from
launching...

> How much space left do you have on the various stores?

I have 1098k free on internal, and 13,003k free on a 32Meg card.

> How much NewtonScript heap left do you have?

<red face> I'm afraid I don't know how to tell how much of that I have
left...

If I can find NTK on UNNA, I might be able to get it up and running
sometime... It's not a big deal though, because I'm out the door
tomorrow for a two-week vacation. I'm going to be bonkers-busy when I
get back, so who knows when I'll have time to do some detective work on
this. Let me know if there's somewhere else I need to look for NTK, and
otherwise don't worry about this anymore. I'm sure you've already got
more than enough to worry about as it is! ;-p

Thanks for your response, regardless,
John

--
John I. Clark
Glass artist & Mac aficionado
Ridgway, CO 81432-0053
970-626-5980
1-888-898-5980
970-626-3750(F)
mailto:[email-masked]
http://home.independence.net/jiclark

------------------------------

End of npds Digest V2 #17
*************************